From: Masami Hiramatsu <mhiramat@kernel.org>
To: Shuah Khan <shuah@kernel.org>
Cc: linux-kselftest@vger.kernel.org, linux-kernel@vger.kernel.org,
jaswinder.singh@linaro.org
Subject: [BUGFIX PATCH] selftests: Use real temporary working directory for archiving
Date: Fri, 4 Oct 2019 14:13:22 +0900 [thread overview]
Message-ID: <157016600217.8022.346317009413291058.stgit@devnote2> (raw)
Use real temporary working directory for generating kselftest
archive.
tools/testing/selftests/kselftest directory has been used for
the temporary working directory for making a tar archive from
gen_kselftest_tar.sh, and it removes the directory for cleanup.
However, since the kselftest directory became a part of the
repository, it must not be used as a working dir.
Introduce mktemp to prepare a temporary working directory
for archiving kselftests.
Signed-off-by: Masami Hiramatsu <mhiramat@kernel.org>
---
tools/testing/selftests/gen_kselftest_tar.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/tools/testing/selftests/gen_kselftest_tar.sh b/tools/testing/selftests/gen_kselftest_tar.sh
index a27e2eec3586..eba1e9987ffc 100755
--- a/tools/testing/selftests/gen_kselftest_tar.sh
+++ b/tools/testing/selftests/gen_kselftest_tar.sh
@@ -38,16 +38,16 @@ main()
esac
fi
- install_dir=./kselftest
+ tmpdir=`mktemp -d ./install-XXXXXX` || exit 1
# Run install using INSTALL_KSFT_PATH override to generate install
# directory
-./kselftest_install.sh
-tar $copts kselftest${ext} $install_dir
+./kselftest_install.sh $tmpdir
+tar $copts kselftest${ext} -C $tmpdir kselftest
echo "Kselftest archive kselftest${ext} created!"
# clean up install directory
-rm -rf kselftest
+rm -rf $tmpdir
}
main "$@"
next reply other threads:[~2019-10-04 5:13 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-10-04 5:13 Masami Hiramatsu [this message]
2019-10-04 16:34 ` [BUGFIX PATCH] selftests: Use real temporary working directory for archiving Jassi Brar
2019-10-08 23:39 ` Tim.Bird
2019-10-09 2:44 ` Masami Hiramatsu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=157016600217.8022.346317009413291058.stgit@devnote2 \
--to=mhiramat@kernel.org \
--cc=jaswinder.singh@linaro.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=shuah@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox